Subject: Re: bug#13625: 24.1; Enable 'package-menu-execute being non-interactive

From: Yves Baumes <[email-masked]>
Date: Mon, 4 Feb 2013 12:18:29 +0100

Le 4 févr. 2013 à 04:39, Stefan Monnier a écrit :
> Better would be to move those questions to the `interactive' spec, so
> you don't even need called-interactively-p.

Ok. I've read the Emacs Lisp Reference manual. As you told, they say an alternative to `called-interactively-p' is possible with `interactive'. Note sure if I understand it all with this example:

(defun test (&optional print-msg)
  (interactive "p")
  (if print-msg
      (message "IS INTERACTIVE")
    (message "IS *NOT* INTERACTIVE")))

So, if I understand it all, it would imply to add an extra argument to the `package-menu-execute' function, right? To me it sounds weird, but then it may be an usual idiom in Emacs Lisp I am not used to. If so just confirm me please :-).

> But you'd also want to check if there are callers of this function that
> would need to be adjusted.
> 
I've checked inside the package.el file. And this function is never called. It is only defined, and referenced (when building the keymap). 
As a side note: I didn't checked in other Elpa/Marmalade/etc packages. I guess it doesn't make sense to try to research potential callers everywhere in the world. I don't even know if there is a simple way to do that.

I am checking right now the emacs savannah homepage for contribution. How to checkout the latest bazzar code and what to provide along the patch. I will try to find an issue in the bug tracker corrrectly formatted. I keep you in touch :-)

Regards
Yves